attribute vec4 a_position;
attribute vec4 a_position_blend;
uniform float u_float_blendamount;

attribute vec2 a_texcoord_0;

varying vec2 v_texcoord_0;
varying vec2 v_texcoord_1;
varying vec4 v_color;

uniform mat4 u_mtx_modelviewproj;
uniform vec3 u_vec3_offset;

#define OFFSET_X u_vec3_offset.x
#define OFFSET_Y u_vec3_offset.y
#define OFFSET_SIN u_vec3_offset.z

void main()
{
	vec4 posBlended = mix( a_position, a_position_blend, u_float_blendamount );
	gl_Position = u_mtx_modelviewproj * posBlended;
	
	v_texcoord_0 = a_texcoord_0;
	
	v_texcoord_1.x = OFFSET_X + a_texcoord_0.x;
	v_texcoord_1.y = OFFSET_Y - a_texcoord_0.y;
	
	float intensity = sin( OFFSET_SIN + posBlended.x ); // -1 to 1
	intensity = ( intensity * 0.75 ) + 0.85;
	v_color.r = intensity;
	v_color.g = intensity;
	v_color.b = intensity;
	v_color.a = intensity;
}
